#!/bin/ksh

echo "TST Started At : " `date`
###################################
## Part 1 - Load from input file ##
###################################
##
## insert into snapsys_sysnames (name, active_ind) values('TST','L');
## commit;
##
## for this testing only: => grant execute on dbms_lock to snaps;

sqlplus -s dawa/dawa << EOD1

declare
        d_start   timestamp default systimestamp;
        d_start1  timestamp default systimestamp;
				v_str			varchar2(200);

begin
				dbms_application_info.set_module('tst.sh', 'Starting');

        dbms_application_info.set_action('Step 1 Started');
        d_start1 := systimestamp;
				-----------------------------------------------------------------------
				-- This is where you would be doing the code you want to time.
		    dbms_lock.sleep(2);
				--
				-----------------------------------------------------------------------
        sp_snapsys.snaplog('TST','tst.sh-step1.complete', '', d_start1, '');

        dbms_application_info.set_action('Step 33 Started');
        d_start1 := systimestamp;
				-----------------------------------------------------------------------
				-- This is where you would be doing the code you want to time.
		    dbms_lock.sleep(2);
				--
				-----------------------------------------------------------------------
        sp_snapsys.snaplog('TST','tst.sh-step33.complete', '', d_start1, '');

        sp_snapsys.snaplog('TST','tst.sh-completed', '', d_start, '');

end;
/
EOD1

echo "TST Ended At : " `date`

